Skip to content

Create a department

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Create a department by organization code, department name, parent department ID, and set various parameters.

Method name

ManagementClient.create_department

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
metadataobjectYes-Metadata information
parentDepartmentIdstringYes-Parent department id. If it is the root department, pass root6229c4deb3e4d8a20b6021ff
namestringYes-Department nameDevelopment Department
organizationCodestringYes-Organization Code (organizationCode)steamory
openDepartmentIdstringno-Custom department ID, used to store custom IDsou_7dab8a3d3cdccxxxxxx777c7ad535d62
descriptionstringno-Department descriptionTechnical R&D Department
codestringno-Department identification code6229c4deb3e4d8a20b6021ff
isVirtualNodebooleanno-Is it a virtual department?
i18n<a DepartmentI18nDtono-Multi-language settings{"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNo-Extended field data of department{"icon":"https://example.com/logo"}
departmentIdTypestringNodepartment_idThe type of the parent department ID used in this calldepartment_id
postIdListstring[]No-Post id list["xxx"]
tenantIdstringNo-Tenant ID623c20b2a062aaaaf41b17da

Request Response

Type: DepartmentSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a DepartmentDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "organizationCode": "steamory",
    "departmentId": "60b49eb83fd80adb96f26e68",
    "createdAt": "2022-07-03T03:20:30.000Z",
    "updatedAt": "2022-07-03T03:20:30.000Z",
    "openDepartmentId": "ou_7dab8a3d3cdccxxxxxx777c7ad535d62",
    "name": "RD",
    "leaderUserIds": "[\"60b49eb83fd80adb96f26e68\"]",
    "description": "RD Desc",
    "parentDepartmentId": "6229c4deb3e4d8a20b6021ff",
    "code": "6229c4deb3e4d8a20b6021ff",
    "parentDepartmentCode": "test",
    "membersCount": 11,
    "hasChildren": true,
    "i18n": {
      "name": {
        "zh-CN": {
          "enabled": false,
          "value": "中文"
        },
        "en-US": {
          "enabled": false,
          "value": "English"
        }
      }
    },
    "customData": {
      "icon": "https://example.com/logo"
    },
    "postIdList": "[\"xxx\"]",
    "status": "false",
    "allow": "[\"xxx\"]"
  }
}

Data Structure

DepartmentI18nDto

NameTypeIs it required?DescriptionSample value
nameYesMulti-language-supported fields Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

LangObject

NameTypeIs it required?DescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nesting type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nesting type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanyesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Closed by default)
valuestringyesMultilingual content

DepartmentDto

NameTypeIs it required?DescriptionSample value
organizationCodestringyesOrganization Code (organizationCode)steamory
departmentIdstringyesDepartment system ID (automatically generated by the GenAuth system, cannot be modified)60b49eb83fd80adb96f26e68
createdAtstringyesDepartment creation time2022-07-03T03:20:30.000Z
updatedAtstringnomodification time2022-07-03T03:20:30.000Z
openDepartmentIdstringnocustom department ID, used to store custom IDsou_7dab8a3d3cdccxxxxxx777c7ad535d62
namestringyesdepartment nameDevelopment Department
leaderUserIdsarraynodepartment head ID["60b49eb83fd80adb96f26e68"]
descriptionstringnodepartment descriptionTechnical R&D Department
parentDepartmentIdstringyesparent department ID, if it is a root department, pass root6229c4deb3e4d8a20b6021ff
codestringNoDepartment ID6229c4deb3e4d8a20b6021ff
parentDepartmentCodestringyesParent department codetest
membersCountnumberyesNumber of department members (only direct members)11
hasChildrenbooleanyesWhether to include child departmentstrue
isVirtualNodebooleannoWhether it is a virtual department
i18nnoMulti-language settings Nested type: <a DepartmentI18nDto.{"name":{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}}
customDataobjectNoExtended field data of department{"icon":"https://example.com/logo"}
postsarrayNoPositions associated with department
postIdListarrayNoPosition id list["xxx"]
statusbooleanNoDepartment statusfalse
allowstringNoAccess restriction["xxx"]

DepartmentI18nDto

NameTypeIs it required?DescriptionSample value
nameYesMulti-language supported fields Nested type: <a LangObject.{"zh-CN":{"enabled":false,"value":"中文"},"en-US":{"enabled":false,"value":"English"}}

LangObject

NameTypeRequiredDescriptionSample value
zh-CNYesMultilingual Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"中文"}
en-USYesMultilingual English content Nested type: <a LangUnit.{"enabled":false,"value":"English"}
zh-TWYesMultilingual Traditional Chinese content Nested type: <a LangUnit.{"enabled":false,"value":"繁體中文"}
ja-JPYesMultilingual Japanese content Nested type: <a LangUnit.{"enabled":false,"value":"日本語"}

LangUnit

NameTypeIs it required?DescriptionSample value
enabledbooleanYesWhether it is enabled. If enabled, and the console selects this language, the content will be displayed. (Default is off)
valuestringYesMultilingual content

Agent infrastructure for identity, memory, and web action.